package com.ruoyi.mapper;

import com.ruoyi.domain.vo.ConfidentialityLevelProportionVO;
import com.ruoyi.domain.vo.InspectionItemPassedNumVO;
import com.ruoyi.domain.vo.QuantityStatisticsVO;
import com.ruoyi.domain.vo.StandardCategoryStatisticsVO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StatisticsHomeMapper {
    // 数量统计
    public QuantityStatisticsVO selectQuantityStatistics(QuantityStatisticsVO quantityStatisticsHome);

    // 标准类别统计
    public List<StandardCategoryStatisticsVO> selectStandardCategoryStatistics();

    // 任务保密等级统计
    public List<ConfidentialityLevelProportionVO> selectConfidentialityLevelStatistics();

    // 体系审查任务通过数量
    public InspectionItemPassedNumVO selectInspectionItemPassedNum();

}
